package com.yeejoin.amos.boot.module.tzs.flc.api.service;


import com.yeejoin.amos.boot.module.tzs.flc.api.dto.UnitPersonInfoDto;

import java.util.List;
import java.util.Map;

/**
 * 企业人员服务类
 */
public interface IUnitPersonService {

    UnitPersonInfoDto saveUser(UnitPersonInfoDto unitPersonInfoDto);

    UnitPersonInfoDto getPersonById(Long sequenceNbr);

    Object pagePerson(List<Long> parentId, String pageNum, String pageSize, Map<String, Object> requestBody);

    Boolean removeById(Long sequenceNbr);

    Boolean batchDelete(List<Long> sequenceNbrList);

    UnitPersonInfoDto saveSupUser(UnitPersonInfoDto unitPersonInfoDto);

    UnitPersonInfoDto updateUser(UnitPersonInfoDto unitPersonInfoDto);

    UnitPersonInfoDto updateSupUser(UnitPersonInfoDto unitPersonInfoDto);
}
